Haketilo - Feature #28

split options_main.js into several smaller files
07/01/2021 12:54 PM - koszko

Status: Closed Start date: 07/01/2021
Priority: Normal Due date:

Assignee: % Done: 10%
Category: Estimated time: 0.00 hour
Target version:

Description
This file is betting bigger and bigger...

History

#1 - 08/06/2021 05:08 PM - koszko
- % Done changed from 0 to 10

#2 - 09/06/2021 02:20 PM - koszko

Discussion moved from #15

Since long-term we're not really planning to allow our scripts to run together with page's ones (i.e. "allow site's scripts" is going to
exclude "inject our scripts"),

My mistake- | assumed that was enabled intentionally! Should | play with the options page to try and ensure that can't be done]...]?

Feel free to do this if you want :)
Keep in mind, however, options_main.js is currntly the most tangled script file in Hachette

Perhaps I'll start on that issue first /.

You know what? We could leave cleaning-up of options_main.js for later, possibly do it together with the scripts/bags/pages redesign or storage
redesign. Right now | can quickly make this little change you suggested since | already know that code. And you could instead focus (for example) on
the testing facility you already started working on :)

Of course, if you decide to work on this issue anyway, you're still welcome
#3 - 09/06/2021 11:45 PM - jahoti

Right now | can quickly make this little change you suggested since | already know that code. And you could instead focus (for example) on the
testing facility you already started working on :)

That seems like a better solution than learning something that's going to be reworked soon enough anyway!

#4 - 02/18/2022 12:54 PM - koszko

- Status changed from New to Closed

The Ul has been remade
